/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef bitplane_h
#define bitplane_h

#include <cairo.h>
#include <stdint.h>

cairo_surface_t *abydos_image_surface16_from_bitplanes(uint8_t **bitplanes, int width, int height, int stride, int depth, uint16_t *palette, int palette_stepping);
cairo_surface_t *abydos_image_surface32_from_bitplanes(uint8_t **bitplanes, int width, int height, int stride, int depth, uint32_t *palette, int palette_stepping);

#endif /* bitplane_h */
